%bcond_without bootstrap

%global packname  pkgconfig
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          2.0.3
Release:          1
Summary:          Private Configuration for 'R' Packages

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-utils
%if %{without bootstrap}
BuildRequires:    R-testthat
BuildRequires:    R-disposables >= 1.0.3
%endif

%description
Set configuration options on a per-package basis. Options set by a given
package only apply to that package, other packages are unaffected.


%prep
%setup -q -c -n %{packname}
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
rm %{buildroot}%{rlibdir}/%{packname}/README.markdown

%check
%if %{without bootstrap}
%{_bindir}/R CMD check %{packname}
%endif

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/README.Rmd
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/NEWS.markdown
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Wed Jun 22 2022 misaka00251 <misaka00251@misakanet.cn> - 2.0.3-1
- Init package (Thanks to fedora team)
